Critical security patch against Pegasus spyware released for iDevices

Johnatan56

Honorary Master
Joined
Aug 23, 2013
Messages
29,440
I'd consider the vulnerability large enough that they should patch old devices as well, going back to iPad 4 and at least Air or something, lots of people probably still use those devices as they have enough RAM and screen, not the same as a phone
Devices that support the two updates are as follows:
  • iPhone 6s and later
  • iPad Pro, iPad Air 2 and later, iPad 5th generation and later, iPad Mini 4 and later, iPod Touch 7th generation
  • Apple Watch Series 3 and later
  • Mac systems that can run macOS Big Sur
 
Top